declare module "../utils/plugin.utils" {
    /**
     * Type guard to check if a node has jsDoc comments.
     */
    export function hasJsDocComments(node: CemNode): node is CemNodeWithJsDoc;
    /**
     * Delivers a specificly named declaration from a module doc.
     */
    export function findDeclaration<T extends CemJSDoc = CemJSDoc>(moduleDoc?: CemModuleDoc, className?: string): T | undefined;
}
declare module "index" {
    import type { Plugin } from '@custom-elements-manifest/analyzer';
    type PluginOptions = never;
    /**
     * Plugin for `@custom-elements-manifest/analyzer` that adds code examples
     * annotated with the `@example` tag to the manifest. So each module containing
     * class declarations with examples will receive an additional `examples`
     * property containing them as strings.
     */
    export function customElementExamplesPlugin(_?: Partial<PluginOptions>): Plugin;
}
import type { AnalyzePhaseParams } from '@custom-elements-manifest/analyzer';

declare global {
  // CEM uses a specific version of typescript which will most likely not match ours.
  type CemJSDoc = import('@custom-elements-manifest/analyzer/node_modules/typescript').JSDoc;
  type CemJsDocTag = import('@custom-elements-manifest/analyzer/node_modules/typescript').JSDocTag;

  type CemModuleDoc = AnalyzePhaseParams['moduleDoc'];
  type CemNode = AnalyzePhaseParams['node'];
  type CemNodeWithJsDoc = CemNode & { jsDoc: CemJSDoc[] };
}
